/*
 * Intel ACPI Component Architecture
 * AML/ASL+ Disassembler version 20181213 (64-bit version)
 * Copyright (c) 2000 - 2018 Intel Corporation
 * 
 * Disassembling to symbolic ASL+ operators
 *
 * Disassembly of ssdt3.dat, Sun Apr 21 15:12:01 2019
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000000C8 (200)
 *     Revision         0x01
 *     Checksum         0xC7
 *     OEM ID           "APPLE "
 *     OEM Table ID     "SsdtGmux"
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20061109 (537268489)
 */
DefinitionBlock ("", "SSDT", 1, "APPLE ", "SsdtGmux", 0x00001000)
{
    External (_SB_.PCI0.LPCB, DeviceObj)
    External (GP06, IntObj)

    Scope (\_SB.PCI0.LPCB)
    {
        Device (GMUX)
        {
            Name (_HID, EisaId ("APP000B"))  // _HID: Hardware ID
            Name (_CID, "gmux")  // _CID: Compatible ID
            Name (_STA, 0x0B)  // _STA: Status
            Name (_CRS, ResourceTemplate ()  // _CRS: Current Resource Settings
            {
                IO (Decode16,
                    0x0700,             // Range Minimum
                    0x07FF,             // Range Maximum
                    0x01,               // Alignment
                    0xFF,               // Length
                    )
            })
            Name (_PRW, Package (0x02)  // _PRW: Power Resources for Wake
            {
                0x16, 
                0x03
            })
            Scope (\_GPE)
            {
                Method (_L16, 0, NotSerialized)  // _Lxx: Level-Triggered GPE, xx=0x00-0xFF
                {
                    Notify (\_SB.PCI0.LPCB.GMUX, 0x80) // Status Change
                }
            }

            Name (GMGP, 0x16)
            Method (GMSP, 1, NotSerialized)
            {
                If ((Arg0 <= 0x01))
                {
                    GP06 |= Arg0
                }
            }

            Method (GMLV, 0, NotSerialized)
            {
                Return (GP06) /* External reference */
            }
        }
    }
}

